<!-- Based on fast/repaint/dont-invalidate-root-layer-when-composited-layer-becomes-visible.html -->
<!DOCTYPE html>
<html>
<head>
    <script src="resources/paint-invalidation-test.js" type="text/javascript"></script>
    <script type="text/javascript">
        window.onload = function() {
            runPaintInvalidationTest();
        };

        window.expectedPaintInvalidationObjects = [
            "LayoutBlockFlow (positioned) DIV id='target'",
        ];
        function paintInvalidationTest() {
            document.getElementById('target').style.visibility = 'visible';
        }
    </script>
</head>
<body>
    <div id="target"
      style="will-change: transform;
             visibility:hidden;
             position: absolute;
             top: 200px; left: 200px;
             width: 200px; height: 200px;
             background-color: redl "></div>
</body>
</html>
